Debian Bug report logs - #527990
debhelper: please pass create_packlist=0 to Makefile.PL for Module::Build::Compat

version graph

Package: debhelper; Maintainer for debhelper is Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>; Source for debhelper is src:debhelper.

Reported by: Ryan Niebur <ryanryan52@gmail.com>

Date: Sun, 10 May 2009 03:36:01 UTC

Severity: normal

Tags: patch

Found in version debhelper/7.2.9

Fixed in version debhelper/7.2.10

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#527990; Package debhelper. (Sun, 10 May 2009 03:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
New Bug report received and forwarded. Copy sent to Joey Hess <joeyh@debian.org>. (Sun, 10 May 2009 03:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: submit@bugs.debian.org
Subject: debhelper: please pass create_packlist=0 to Makefile.PL for Module::Build::Compat
Date: Sat, 9 May 2009 20:33:20 -0700
[Message part 1 (text/plain, inline)]
Package: debhelper
Severity: normal
Version: 7.2.9
Tags: patch

Hi,

There's been a recent discussion[1] on the debian-perl list about
whether Build.PL should be used by the dh_auto_* commands instead of
Makefile.PL when both exist. This is because sometimes the Makefile.PL
is just a "passthru" to the Build.PL, which causes a couple of bugs.

One of the bugs is that the .packlist file is still created. Currently
dh_auto_install passes the correct options to Build.PL to make it not
install the .packlist file. But when a passthru Makefile.PL is being
used that option isn't passed. We determined that passing
create_packlist=0 to Makefile.PL from dh_auto_configure will fix this
problem. I tested with a few "normal" Makefile.PLs, and both
Module::Install and ExtUtils::MakeMaker based Makefile.PLs both ignore
this option.

The attached patch fixes this problem.

Thanks,
Ryan

1: http://lists.debian.org/debian-perl/2009/05/msg00017.html

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[dh_auto_configure.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. (Sun, 10 May 2009 21:54:42 GMT) Full text and rfc822 format available.

Notification sent to Ryan Niebur <ryanryan52@gmail.com>:
Bug acknowledged by developer. (Sun, 10 May 2009 21:54:42 GMT) Full text and rfc822 format available.

Message #10 received at 527990-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 527990-close@bugs.debian.org
Subject: Bug#527990: fixed in debhelper 7.2.10
Date: Sun, 10 May 2009 21:47:52 +0000
Source: debhelper
Source-Version: 7.2.10

We believe that the bug you reported is fixed in the latest version of
debhelper, which is due to be installed in the Debian FTP archive:

debhelper_7.2.10.dsc
  to pool/main/d/debhelper/debhelper_7.2.10.dsc
debhelper_7.2.10.tar.gz
  to pool/main/d/debhelper/debhelper_7.2.10.tar.gz
debhelper_7.2.10_all.deb
  to pool/main/d/debhelper/debhelper_7.2.10_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 527990@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated debhelper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 10 May 2009 13:07:08 -0400
Source: debhelper
Binary: debhelper
Architecture: source all
Version: 7.2.10
Distribution: unstable
Urgency: low
Maintainer: Joey Hess <joeyh@debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 debhelper  - helper programs for debian/rules
Closes: 527256 527464 527990
Changes: 
 debhelper (7.2.10) unstable; urgency=low
 .
   * Close COMPAT_IN filehandle. Closes: #527464
   * dh_auto_configure: Clarify man page re adding configure
     parameters. Closes: #527256
   * dh_auto_configure: Pass packlist=0 when running Makefile.PL,
     in case it is a Build.PL passthru, to avoid it creating
     the .packlist file. Closes: #527990
Checksums-Sha1: 
 02e1739969fada75d0d8af4ada6cecebf635518c 910 debhelper_7.2.10.dsc
 542d60c29014ef96e4507a2eb75d45db555cc3c9 296243 debhelper_7.2.10.tar.gz
 0f63a98df6b819bdebf4251143270edcde69ceaf 546336 debhelper_7.2.10_all.deb
Checksums-Sha256: 
 3377b5d3cc7bc3f39a32083b6765ae1ef66115f4e69a49259b8095a0ef79e0f8 910 debhelper_7.2.10.dsc
 ae12a2ea46daa1285227e382b0846e778f9a94890b85d908837cb1f4f920dc3e 296243 debhelper_7.2.10.tar.gz
 a717a3dc22b46e68b3ada539470b4fba349dee6df06d1bcc73647f9f7f07d805 546336 debhelper_7.2.10_all.deb
Files: 
 283462e106ca8ffc603ab7763d5913b7 910 devel optional debhelper_7.2.10.dsc
 a56800283b6ba44a9ec7605dbef880ef 296243 devel optional debhelper_7.2.10.tar.gz
 421e3954b59087cfd70dd7dfae2c95f5 546336 devel optional debhelper_7.2.10_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKBwor2tp5zXiKP0wRAoYtAJ41s5lr81g4KXQwKlDhwl2/U88igwCguEZ4
VI9JUtZjbfpqccvRgIIzuDk=
=sCeL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 08 Jun 2009 07:42:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:18:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.